Skip to main content

Configure a deposit refund account number for your integration

POSThttps://api.propexo.com/v1/deposit-summaries/yardi/deposit-refund-account-number/

Configure a deposit refund account number for your integration to track which charges correspond to deposits. Since this account number varies by customer and integration, you'll need to consult with your customer to determine the correct value for this endpoint.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    x_account_numberstringrequired

    The deposit refund account number. You'll likely want to work with your customer to find this value.

    Possible values: non-empty

Response​

Successful response

    result objectrequired
    idstringrequired

    The unique identifier for the deposit refund account number

    created_atstringrequired

    The date the deposit refund account number was created

    updated_atstringrequired

    The date the deposit refund account number was last updated

    integration_idstringrequired

    The Propexo unique identifier for the integration

    account_numberstringrequired

    The deposit refund account number. Note: Must match an account number from an existing financial account record in Propexo for this integration.

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/deposit-summaries/yardi/deposit-refund-account-number/
curl -X POST https://api.propexo.com/v1/deposit-summaries/yardi/deposit-refund-account-number/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"x_account_number": "string"
}'
200 Successful response
{
"result": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"integration_id": "string",
"account_number": "string"
}
}